# Uses of Interface
org.eclipse.core.resources.IResourceDelta

Packages that use IResourceDelta
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.core.resources.mapping
Provides APIs for integrating application models with the workspace
org.eclipse.team.core.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.ide
APIs for the IDE-specific portion of the Eclipse Platform User Interface.
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.

## Uses of IResourceDelta in org.eclipse.core.resources

Methods in org.eclipse.core.resources that return IResourceDelta
Modifier and Type
Method
Description
`IResourceDelta`
IResourceDelta.`findMember(IPath path)`
Finds and returns the descendent delta identified by the given path in this delta, or `null` if no such descendent exists.
`IResourceDelta[]`
IResourceDelta.`getAffectedChildren()`
Returns resource deltas for all children of this resource which were added, removed, or changed.
`IResourceDelta[]`
IResourceDelta.`getAffectedChildren(int kindMask)`
Returns resource deltas for all children of this resource whose kind is included in the given mask.
`IResourceDelta[]`
IResourceDelta.`getAffectedChildren(int kindMask, int memberFlags)`
Returns resource deltas for all children of this resource whose kind is included in the given mask.
`final IResourceDelta`
IncrementalProjectBuilder.`getDelta(IProject project)`
Returns the resource delta recording the changes in the given project since the last time this builder was run.
`IResourceDelta`
IResourceChangeEvent.`getDelta()`
Returns a resource delta, rooted at the workspace, describing the set of changes that happened to resources in the workspace.
Methods in org.eclipse.core.resources with parameters of type IResourceDelta
Modifier and Type
Method
Description
`boolean`
IResourceDeltaVisitor.`visit(IResourceDelta delta)`
Visits the given resource delta.

## Uses of IResourceDelta in org.eclipse.core.resources.mapping

Methods in org.eclipse.core.resources.mapping that return IResourceDelta
Modifier and Type
Method
Description
`IResourceDelta`
IResourceChangeDescriptionFactory.`getDelta()`
Return the proposed delta that has been accumulated by this factory.
Methods in org.eclipse.core.resources.mapping with parameters of type IResourceDelta
Modifier and Type
Method
Description
`IStatus`
ModelProvider.`validateChange(IResourceDelta delta, IProgressMonitor monitor)`
Validates the proposed changes contained in the given delta.
`IStatus`
ResourceChangeValidator.`validateChange(IResourceDelta delta, IProgressMonitor monitor)`
Validate the proposed changes contained in the given delta by consulting all model providers to determine if the changes have any adverse side effects.

## Uses of IResourceDelta in org.eclipse.team.core.mapping

Methods in org.eclipse.team.core.mapping with parameters of type IResourceDelta
Modifier and Type
Method
Description
`protected boolean`
ChangeTracker.`isChangeOfInterest(IResourceDelta delta)`
Return whether the given delta represents a change of interest.

## Uses of IResourceDelta in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text with parameters of type IResourceDelta
Modifier and Type
Method
Description
`boolean`
FileDocumentProvider.FileSynchronizer.`visit(IResourceDelta delta)`

## Uses of IResourceDelta in org.eclipse.ui.ide

Methods in org.eclipse.ui.ide with parameters of type IResourceDelta
Modifier and Type
Method
Description
`static boolean`
IDE.`promptToConfirm(Shell shell, String title, String message, IResourceDelta delta, String[] ignoreModelProviderIds, boolean syncExec)`
Prompt the user to inform them of the possible side effects of an operation on resources.

## Uses of IResourceDelta in org.eclipse.ui.model

Methods in org.eclipse.ui.model with parameters of type IResourceDelta
Modifier and Type
Method
Description
`protected void`
WorkbenchContentProvider.`processDelta(IResourceDelta delta)`
Process the resource delta.